%define anolis_release 2

Summary: Tools for managing the osinfo database
Name: osinfo-db-tools
Version: 1.10.0
Release: %{anolis_release}%{?dist}
License: GPLv2+
Source: https://gitlab.com/libosinfo/%{name}-%{version}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
URL: http://libosinfo.org/

BuildRequires: meson
BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: libxslt-devel >= 1.0.0
BuildRequires: libarchive-devel
BuildRequires: libsoup3-devel
BuildRequires: json-glib-devel
BuildRequires: /usr/bin/pod2man
BuildRequires: python3
BuildRequires: python3-pytest
BuildRequires: python3-requests

%description
This package provides tools for managing the osinfo database of
information about operating systems for use with virtualization

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -n %{name}-v%{version} -S git

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%find_lang %{name}
%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%{_bindir}/osinfo-db-export
%{_bindir}/osinfo-db-import
%{_bindir}/osinfo-db-path
%{_bindir}/osinfo-db-validate
%{_mandir}/man1/osinfo-db-export.1*
%{_mandir}/man1/osinfo-db-import.1*
%{_mandir}/man1/osinfo-db-path.1*
%{_mandir}/man1/osinfo-db-validate.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc NEWS README

%changelog
* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.10.0-2
- rebuild with libsoup3

* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 1.10.0-1
- Initial build for Anolis V23
